Package org.apache.commons.math3.random

# Interface RandomVectorGenerator

All Known Implementing Classes:
  `CorrelatedRandomVectorGenerator`, `HaltonSequenceGenerator`, `SobolSequenceGenerator`, `UncorrelatedRandomVectorGenerator`, `UnitSphereRandomVectorGenerator`

public interface RandomVectorGenerator
This interface represents a random generator for whole vectors.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`double[]`
`nextVector()`
Generate a random vector.

## Method Details

### nextVector

double[] nextVector()
Generate a random vector.

Returns:
  a random vector as an array of double.